#
# spec file for package xen (Version 3.0.4_13138)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xen
%define xvers 3.0
%define xvermaj 3
%define changeset 13138
%define xen_build_dir xen-3.0.4-testing
%define with_install 1
%if %sles_version
%define with_kmp 1
%else
# openSUSE 10.3 kernel is not yet ready...
%define with_kmp 0
%endif
BuildRequires:  LibVNCServer SDL-devel autoconf automake bin86 curl-devel dev86 latex2html libjpeg-devel libxml2-devel openssl openssl-devel python-devel te_ams te_latex tetex transfig
%ifarch x86_64
BuildRequires:  glibc-32bit glibc-devel-32bit
%endif
%if %{?with_kmp}0
BuildRequires:  kernel-source kernel-syms xorg-x11
%endif
Version:        3.0.4_13138
Release:        5
License:        GNU General Public License (GPL)
Group:          System/Kernel
Autoreqprov:    on
PreReq:         %insserv_prereq %fillup_prereq
Summary:        Xen Virtualization: Hypervisor (aka VMM aka Microkernel)
Source0:        xen-3.0.4-testing-src.tar.bz2
Source1:        xen-vm-install.tar.bz2
Source2:        README.SuSE
Source3:        boot.xen
Source4:        boot.local.xenU
Source5:        init.xend
Source6:        init.xendomains
Source7:        logrotate.xend.conf
Source8:        domUloader.py
Source9:        xmexample.domUloader
Source10:       block-nbd
Source11:       xmexample.nbd
Source12:       block-iscsi
Source13:       xmexample.iscsi
Source14:       xmclone.sh
Patch0:         xen-config.diff
Patch1:         xend-config.diff
Patch2:         xen-destdir.diff
Patch3:         xen-vm-install.diff
Patch4:         xen-rpmoptflags.diff
Patch5:         xen-warnings.diff
Patch6:         xen-changeset.diff
Patch7:         xen-paths.diff
Patch8:         xen-xmexample.diff
Patch9:         xen-xmexample-nbd.diff
Patch10:        xen-bootloader-nohang.diff
Patch11:        xen-bootloader-dryrun.diff
Patch12:        xen-bootloader-tidy.diff
Patch13:        xen-domUloader.diff
Patch14:        xen-messages.diff
Patch15:        xen-network-bridge.diff
Patch16:        xen-no-dummy-nfs-ip.diff
Patch17:        serial-split.patch
Patch18:        xen-xm-top-needs-root.diff
Patch19:        xen-tightvnc-args.diff
Patch20:        xen-max-free-mem.diff
Patch21:        xen-bonding.diff
Patch22:        xen-ioapic-ack-default.diff
Patch23:        xen-lost-mouse.diff
Patch24:        xen-lowmem-emergency-pool.diff
Patch26:        block-losetup-retry.diff
Patch27:        block-sync.diff
Patch29:        xen-man-permissions.patch
Patch30:        xen-man-xm-bad-char.diff
Patch31:        xen-hvm-default-bridge.diff
Patch32:        xen-hvm-netfront.diff
Patch33:        xend-xmlrpc-large-ints.diff
Patch34:        xen-hvm-default-pae.diff
#Patch35:        xend-config-devname.patch
Patch36:        xend-config-ramdisk.patch
Patch37:        xm-test-cleanup.diff
## Jan's patches begin here
Patch100:       x86-extra-trap-info.patch
Patch101:       x86_emulate.patch
# 32on64 patches
Patch102:       32on64-base.patch
Patch103:       32on64-hypercall.patch
Patch104:       32on64-interface.patch
Patch105:       32on64-startup.patch
Patch106:       32on64-shared.patch
Patch107:       32on64-m2p.patch
Patch108:       32on64-emul.patch
Patch109:       32on64-memop.patch
Patch110:       32on64-mmuop.patch
Patch111:       32on64-physdevop.patch
Patch112:       32on64-vcpuop.patch
Patch113:       32on64-settrap.patch
Patch114:       32on64-multicall.patch
Patch115:       32on64-schedop.patch
Patch116:       32on64-gnttabop.patch
Patch117:       32on64-pltop.patch
Patch118:       32on64-acmop.patch
Patch119:       32on64-xenoprof.patch
Patch120:       32on64-sysctl.patch
Patch121:       32on64-domctl.patch
Patch122:       32on64-trace.patch
Patch123:       32on64-kexec.patch
Patch124:       32on64-hvm.patch
Patch125:       32on64-shadow.patch
# Additional patches
Patch130:       xxx_heap_pages-static.patch
Patch131:       mem-zones.patch
Patch132:       domheap-no-dma.patch
Patch133:       32on64-per-domain-pa-bits.patch
Patch134:       32on64-fixes.patch
Patch135:       32on64-call-gates.patch
Patch136:       emul-privop-lock.patch
Patch137:       hide-asm-labels.patch
Patch138:       bug.patch
Patch139:       x86-mm-simplify.patch
Patch140:       vgacon-50-lines.patch
Patch141:       vgacon-keep.patch
Patch142:       x86-ptwr_emulate.patch
Patch143:       pae-guest-linear-pgtable.patch
Patch144:       suppress-rdtscp.patch
## Gerd's patches begin here
# fix cross-build for tools
Patch150:       cross-build-fix.diff
# network script fixup
Patch151:       bridge-hostonly.diff
# foreign arch headers
Patch152:       xen-generate-foreign-headers.diff
# common ELF parser code
Patch153:       libelf-add-to-xenkernel.diff
Patch154:       libelf-use-xen-dom0.diff
Patch155:       libelf-symlink-to-libxc.diff
Patch156:       libelf-use-hvm-build.diff
Patch157:       libelf-use-readnotes.diff
Patch158:       libelf-dominfo.diff
# domain builder rewrite
Patch160:       tools-add-errors.diff
Patch161:       tools-domain-builder-header-libxc.diff
Patch162:       tools-domain-builder-core.diff
Patch163:       tools-domain-builder-linux.diff
Patch164:       tools-readnotes-gunzip.diff
# bimodal driver bits
Patch165:       protocol-bimodal.diff
Patch166:       fbback-bimodal.diff
Patch167:       blktools-bimodal.diff
# libxc debugging bits
Patch168:       tools-debug-oldbuilder.diff
# guest kexec, kboot
Patch170:       tools-xc_kexec.diff
Patch171:       tools-kboot.diff
# AMD nested page table patches
Patch200:       npt_part1.patch
Patch201:       npt_part2.patch
Patch202:       npt-windows-bug.patch
Patch203:       npt-fpu-bug.patch
# Upstream bug fixes
Patch210:       microcode-xen-13079.diff
Patch211:       xen-localtime.patch
Patch212:       svm-update-v_tpr-on-mmio.patch
Patch213:       svm_cpuid_ffxsr_13743.patch
Patch214:       13630-domctl.patch
Patch215:       13903-domctl.patch
Patch216:       13908-domctl.patch
Patch217:       bugfix-246160-domctl.patch
Patch218:       x86-nmi-inject.patch
# pv driver building
Patch250:       pv-driver-build.patch
# Jim' Xen API patches
Patch270:       13161_xenapi.patch
Patch271:       13201_xenapi.patch
Patch272:       13226_xenapi.patch
Patch273:       13235_xenapi.patch
Patch274:       13236_xenapi.patch
Patch275:       13577_xenapi.patch
Patch276:       13585_xenapi.patch
Patch277:       13615_xenapi.patch
Patch278:       13616_xenapi.patch
Patch279:       13628_xenapi.patch
Patch280:       13655_xenapi.patch
Patch281:       13689_xenapi.patch
Patch282:       13724_xenapi.patch
Patch283:       13745_xenapi.patch
Patch284:       13747_xenapi.patch
Patch285:       13753_xenapi.patch
Patch286:       13775_xenapi.patch
Patch287:       13777_xenapi.patch
Patch288:       13778_xenapi.patch
Patch289:       13784_xenapi.patch
Patch290:       13787_xenapi.patch
Patch291:       libxen_permissive.patch
Patch292:       xend_disk_decorate_rm.patch
# Misc unused patches / need to be re-ported:
Patch300:       xen-enable-hvm-debug.diff
Patch301:       xen-removable.diff
URL:            http://www.cl.cam.ac.uk/Research/SRG/netos/xen/
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 x86_64 ia64
%define pysite %(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
%if %{?with_kmp}0
%suse_kernel_module_package -n xen um xen xenpae
%endif

%description
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the Xen Hypervisor. (tm)

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install the kernel-xen and
xen-tools to use Xen. Xen 3 also supports running unmodified guests
using full virtualization, if appropriate hardware is present. Install
xen-tools-ioemu if you want to use this.

[Hypervisor is a trademark of IBM]



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>
    Keir Fraser <Keir.Fraser@cl.cam.ac.uk>
    Christian Limpach <Christian.Limpach@cl.cam.ac.uk>
    Mark Williamson <mark.williamson@cl.cam.ac.uk>
    Ewan Mellor <ewan@xensource.com>
    ...

%package libs
Summary:        Xen Virtualization: Libraries
Group:          System/Kernel
Requires:       xen >= 3.0.4_10000
AutoReqProv:    on

%description libs
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries used to interact with the Xen
virtual machine monitor.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package tools
Summary:        Xen Virtualization: Control tools for domain 0
Group:          System/Kernel
Requires:       xen-libs >= 3.0.4_10000
Requires:       bridge-utils multipath-tools python python-xml
%if %{?with_install}0
Requires:       python-urlgrabber
%endif
AutoReqProv:    on

%description tools
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the control tools that allow you to start, stop,
migrate, and manage virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install kernel-xen and xen to
use Xen.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package tools-ioemu
Summary:        Xen Virtualization: BIOS and device emulation for unmodified guests
Group:          System/Kernel
Requires:       xen-tools >= 3.0.4_10000
AutoReqProv:    on

%description tools-ioemu
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the needed BIOS and device emulation code to
support unmodified guests. (You need virtualization support in hardware
to make use of this.)

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install kernel-xen, xen, and
xen-tools to use Xen.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package devel
Summary:        Xen Virtualization: Headers and libraries for development
Group:          System/Kernel
Requires:       xen-libs = %{version}

%description devel
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries and header files needed to create
tools to control virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%if %{?with_kmp}0
%package KMP
Group:          System/Kernel
Summary:        Xen para-virtual device drivers for fully virtualized guests

%description KMP
Xen para-virtual device drivers for fully virtualized guests

Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries and header files needed to create
tools to control virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



%endif
%package doc-html
Summary:        Xen Virtualization: HTML documentation
Group:          Documentation/HTML

%description doc-html
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-html contains the online documentation in HTML format. Point
your browser at file:/usr/share/doc/packages/xen/html/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package doc-pdf
Summary:        Xen Virtualization: PDF documentation
Group:          Documentation/Other

%description doc-pdf
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-pdf contains the online documentation in PDF format. Use
xpdf/kpdf/gpdf/gv/... to read the files in
/usr/share/doc/packages/xen/pdf/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package doc-ps
Summary:        Xen Virtualization: PostScript documentation
Group:          Documentation/Other

%description doc-ps
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-ps contains the online documentation in PostScript format. Use
gv/kghostview/... to read the files in /usr/share/doc/packages/xen/ps/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%prep
%setup -q -n %xen_build_dir
%setup -q -c -n %xen_build_dir/tools -D -T -a 1
cd ..
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if %{?with_install}0
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch26 -p1
%patch27 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
#%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch170 -p1
%patch171 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch250 -p1
%patch270 -p1
%patch271 -p1
%patch272 -p1
%patch273 -p1
%patch274 -p1
%patch275 -p1
%patch276 -p1
%patch277 -p1
%patch278 -p1
%patch279 -p1
%patch280 -p1
%patch281 -p1
%patch282 -p1
%patch283 -p1
%patch284 -p1
%patch285 -p1
%patch286 -p1
%patch287 -p1
%patch288 -p1
%patch289 -p1
%patch290 -p1
%patch291 -p1
%patch292 -p1
XEN_EXTRAVERSION=%version-%release
XEN_EXTRAVERSION=${XEN_EXTRAVERSION#%{xvers}}
sed -i "s/XEN_EXTRAVERSION[ 	]*.=.*\$/XEN_EXTRAVERSION  = $XEN_EXTRAVERSION/" xen/Makefile
sed -i "s/XEN_CHANGESET[ 	]*=.*\$/XEN_CHANGESET     = %{changeset}/" xen/Makefile

%build
cd ..
RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/}
export CFLAGS="${RPM_OPT_FLAGS}"
export RPM_OPT_FLAGS
make -C xen/include/public/foreign
make tools docs
%if %{?with_kmp}0
# pv driver modules
mkdir -p obj
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r unmodified_drivers/linux-2.6 obj/$flavor
    obj/$flavor/mkbuildtree
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done
%endif

%install
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
cd ..
export CFLAGS="$RPM_OPT_FLAGS" 
export RPM_OPT_FLAGS
install_xen()
{
    local ext=""
    if [ -n "$1" ]; then
        ext="-$1"
        mv $RPM_BUILD_ROOT/boot/xen-%{version}-%{release}.gz \
           $RPM_BUILD_ROOT/boot/xen${ext}-%{version}-%{release}.gz
        mv $RPM_BUILD_ROOT/boot/xen-syms-%{version}-%{release} \
           $RPM_BUILD_ROOT/boot/xen-syms${ext}-%{version}-%{release}
    fi
    rm $RPM_BUILD_ROOT/boot/xen-%{xvers}.gz
    rm $RPM_BUILD_ROOT/boot/xen-%{xvermaj}.gz
    rm $RPM_BUILD_ROOT/boot/xen.gz
    # Do not link to links; grub cannot follow.
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}-%{xvers}.gz
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}-%{xvermaj}.gz
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}.gz
    ln -sf xen-syms${ext}-%{version}-%{release} $RPM_BUILD_ROOT/boot/xen-syms${ext}
}
%ifarch %ix86
make -C xen install pae=y debug=y crash_debug=y DESTDIR=$RPM_BUILD_ROOT
install_xen pae-dbg
make -C xen clean
make -C xen install pae=y debug=n crash_debug=n DESTDIR=$RPM_BUILD_ROOT
install_xen pae
make -C xen clean
%endif
make -C xen install pae=n debug=y crash_debug=y DESTDIR=$RPM_BUILD_ROOT
install_xen dbg
make -C xen clean
make -C xen install pae=n debug=n crash_debug=n DESTDIR=$RPM_BUILD_ROOT
install_xen
make -C xen clean
export CFLAGS="$RPM_OPT_FLAGS"
export RPM_OPT_FLAGS
make -C xen/include/public/foreign
# tools
export XEN_PYTHON_NATIVE_INSTALL=1
#export PYTHONOPTIMIZE=1
make -C tools install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
%if %{?with_install}0
ln -s /usr/bin/vm-install $RPM_BUILD_ROOT/usr/sbin/xen-vm-install
%find_lang xen-vm-install
%endif
make -C tools/misc/serial-split install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT/usr/lib/xen/bin/
ln -s %{_libdir}/xen/bin/qemu-dm $RPM_BUILD_ROOT/usr/lib/xen/bin/qemu-dm
ln -s %{_libdir}/xen/bin/xen-sdlfb $RPM_BUILD_ROOT/usr/lib/xen/bin/xen-sdlfb
ln -s %{_libdir}/xen/bin/xen-vncfb $RPM_BUILD_ROOT/usr/lib/xen/bin/xen-vncfb
%endif
%if %{?with_kmp}0
# pv driver modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done
%endif
# docs
make -C docs install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
    DOCDIR=%{_defaultdocdir}/xen
for name in COPYING %SOURCE2 %SOURCE3; do 
    install -m 644 $name $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/
done
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/misc
for name in vtpm.txt crashdb.txt sedf_scheduler_mini-HOWTO.txt; do
    install -m 644 docs/misc/$name $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/misc/
done
# init scripts
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install %SOURCE5 $RPM_BUILD_ROOT/etc/init.d/xend
ln -s /etc/init.d/xend $RPM_BUILD_ROOT/usr/sbin/rcxend
install %SOURCE6 $RPM_BUILD_ROOT/etc/init.d/xendomains
ln -s /etc/init.d/xendomains $RPM_BUILD_ROOT/usr/sbin/rcxendomains
# example config
mkdir -p $RPM_BUILD_ROOT/etc/xen/{vm,examples}
mv $RPM_BUILD_ROOT/etc/xen/xmexample* $RPM_BUILD_ROOT/etc/xen/examples
rm $RPM_BUILD_ROOT/etc/xen/examples/*nbd
install -m644 %SOURCE9 %SOURCE11 %SOURCE13 $RPM_BUILD_ROOT/etc/xen/examples/
# sample scripts
install -m755 %SOURCE4 %SOURCE14 $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/
rm $RPM_BUILD_ROOT/etc/xen/scripts/block-*nbd
install -m755 %SOURCE10 %SOURCE12 $RPM_BUILD_ROOT/etc/xen/scripts/
# logrotate
install -m644 -D %SOURCE7 $RPM_BUILD_ROOT/etc/logrotate.d/xend
# directories
mkdir -p $RPM_BUILD_ROOT/var/lib/xenstored
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/images
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/jobs
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/save
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/domain
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/migrate
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/vnet
%if %{?with_install}0
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/vm-install
%endif
mkdir -p $RPM_BUILD_ROOT/var/log/xen
mkdir -p $RPM_BUILD_ROOT/var/run/xenstored
ln -s /var/lib/xen/images $RPM_BUILD_ROOT/etc/xen/images
# Bootloader
install -m755 %SOURCE8 $RPM_BUILD_ROOT/usr/lib/xen/boot/
# udev support
mv $RPM_BUILD_ROOT/etc/udev/rules.d/xen-backend.rules $RPM_BUILD_ROOT/etc/udev/rules.d/40-xen.rules
# Clean up unpackaged files
rm     $RPM_BUILD_ROOT/usr/bin/xc_shadow
rm     $RPM_BUILD_ROOT/usr/sbin/netfix
rm -rf $RPM_BUILD_ROOT/usr/share/doc/qemu/
rm     $RPM_BUILD_ROOT/%{_mandir}/man1/qemu.*
rm     $RPM_BUILD_ROOT/usr/lib*/xen/bin/qemu-dm.debug
rm -f  $RPM_BUILD_ROOT/%pysite/*.egg-info

%files
%defattr(-,root,root)
/boot/xen-%{version}-%{release}.gz
/boot/xen-%{xvers}.gz
/boot/xen-%{xvermaj}.gz
/boot/xen.gz
/boot/xen-syms-%{version}-%{release}
/boot/xen-syms
/boot/xen-dbg-%{version}-%{release}.gz
/boot/xen-dbg-%{xvers}.gz
/boot/xen-dbg-%{xvermaj}.gz
/boot/xen-dbg.gz
/boot/xen-syms-dbg-%{version}-%{release}
/boot/xen-syms-dbg
%ifarch %ix86
/boot/xen-pae-%{version}-%{release}.gz
/boot/xen-pae-%{xvers}.gz
/boot/xen-pae-%{xvermaj}.gz
/boot/xen-pae.gz
/boot/xen-syms-pae-%{version}-%{release}
/boot/xen-syms-pae
/boot/xen-pae-dbg-%{version}-%{release}.gz
/boot/xen-pae-dbg-%{xvers}.gz
/boot/xen-pae-dbg-%{xvermaj}.gz
/boot/xen-pae-dbg.gz
/boot/xen-syms-pae-dbg-%{version}-%{release}
/boot/xen-syms-pae-dbg
%endif

%files libs
%defattr(-,root,root)
%{_libdir}/fs/
%{_libdir}/libfsimage*
%{_libdir}/libxen*.so.*
%if %{?with_install}0

%files tools -f ../xen-vm-install.lang
%else

%files tools
%endif
%defattr(-,root,root)
/usr/bin/lomount
/usr/bin/xencons
/usr/bin/xenstore*
/usr/bin/xentrace*
/usr/sbin/blktapctrl
/usr/sbin/img2qcow
/usr/sbin/qcow-create
/usr/sbin/qcow2raw
/usr/sbin/tapdisk
/usr/sbin/rcxend
/usr/sbin/rcxendomains
/usr/sbin/xen*
/usr/sbin/xm
%if %{?with_install}0
/usr/bin/vm-install*
%{_datadir}/xen/install
%dir /var/lib/xen/vm-install
%dir %{_datadir}/applications/YaST2
%{_datadir}/applications/YaST2/xen-vm-install.desktop
%endif
%dir %{_libdir}/xen
%dir %{_libdir}/xen/bin
%ifarch x86_64
%dir /usr/lib/xen
%dir /usr/lib/xen/bin
%endif
%dir /usr/lib/xen/boot
%{_libdir}/libblktap.so*
%{_libdir}/xen/bin/readnotes
%{_libdir}/xen/bin/xen-sdlfb
%{_libdir}/xen/bin/xen-vncfb
%{_libdir}/xen/bin/xc_restore
%{_libdir}/xen/bin/xc_save
%{_libdir}/xen/bin/xenconsole
%{_libdir}/xen/bin/xenctx
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz
%dir /var/lib/xen
%dir /var/lib/xenstored
%dir %attr(700,root,root) /var/lib/xen/images
%dir %attr(700,root,root) /var/lib/xen/save
%dir /var/lib/xen/xend-db
%dir /var/lib/xen/xend-db/domain
%dir /var/lib/xen/xend-db/migrate
%dir /var/lib/xen/xend-db/vnet
%dir /var/log/xen
%dir /var/run/xenstored
%config /etc/init.d/xendomains
%config /etc/init.d/xend
%config /etc/logrotate.d/xend
/var/adm/fillup-templates/sysconfig.xendomains
%dir %attr(700,root,root) /etc/xen
%config /etc/xen/*
%dir /etc/udev
%dir /etc/udev/rules.d
/etc/udev/rules.d/40-xen.rules
%dir %{_defaultdocdir}/xen
%{_defaultdocdir}/xen/COPYING
%{_defaultdocdir}/xen/README.SuSE
%{_defaultdocdir}/xen/boot.xen
%{_defaultdocdir}/xen/boot.local.xenU
%{_defaultdocdir}/xen/misc
%{_defaultdocdir}/xen/xmclone.sh
%dir %pysite/xen

%pysite/xen/*
/usr/lib/xen/boot/domUloader.py

%files tools-ioemu 
%defattr(-,root,root)
%dir %{_datadir}/xen
%dir %{_datadir}/xen/qemu
%dir %{_datadir}/xen/qemu/keymaps
%{_datadir}/xen/qemu/keymaps/*
%{_libdir}/xen/bin/qemu-dm
%ifarch x86_64
/usr/lib/xen/bin/qemu-dm
/usr/lib/xen/bin/xen-sdlfb
/usr/lib/xen/bin/xen-vncfb
/usr/lib64/xen/bin/xc_kexec
%else
/usr/lib/xen/bin/xc_kexec
%endif
/usr/lib/xen/boot/hvmloader

%files devel
%defattr(-,root,root)
%{_libdir}/libblktap.a
%{_libdir}/libxen*.a
%{_libdir}/libxen*.so
/usr/include/xen/
/usr/include/blktaplib.h
/usr/include/fsimage*
/usr/include/xen*.h
/usr/include/xs.h
/usr/include/xs_lib.h
/usr/bin/serial-split
/usr/bin/xenperf

%files doc-html
%defattr(-,root,root)
%{_defaultdocdir}/xen/html

%files doc-pdf
%defattr(-,root,root)
%dir %{_defaultdocdir}/xen/pdf
%{_defaultdocdir}/xen/pdf/*

%files doc-ps
%defattr(-,root,root)
%dir %{_defaultdocdir}/xen/ps
%{_defaultdocdir}/xen/ps/*

%clean
#test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%xen_build_dir

%post tools
%{fillup_and_insserv -y -f xend}
%{fillup_and_insserv -y -n xendomains xendomains}

%preun tools
%{stop_on_removal xend xendomains}

%postun tools
%{restart_on_update xend}
%{insserv_cleanup}

%changelog
* Tue Feb 20 2007 - carnold@novell.com
- Domain0 reboots after 2-6 hours of running guests. (#246160)
* Tue Feb 20 2007 - ccoffing@novell.com
- Fix typo in xendomains.  (#246107)
- Fix order in which vm-install processes command-line arguments.
* Fri Feb 16 2007 - jfehlig@novell.com
- Added changeset 13775 from xen-unstable.  This patch fixes
  the last known issue with the Xen API patchset backported
  from xen-unstable.
* Fri Feb 16 2007 - jfehlig@novell.com
- Added c/s 13226 from xen-unstable.  It affects Xen API only.
- Added patch to remove ':disk' and 'tap:qcow' from stored domain
  config.  Fixes bug #237414 and helps with bug #242953.
* Thu Feb 15 2007 - jfehlig@novell.com
- Backported Xen API functionality from xen-unstable to support
  hosting CIM providers.  This functionality is required for
  FATE feature 110320.  ECO has been approved.
  + Includes 19 changesets from xen-unstable.  Most are
  specific to Xen API.
  + Includes 1 patch that relaxes parsing of xml response
  in Xen API c-bindings.
* Thu Feb 15 2007 - carnold@novell.com
- Added x86-nmi-inject.patch for NW debuging. (#245942)
* Thu Feb 15 2007 - carnold@novell.com
- kernel panic in DomU while installing 32bit DomU on 64bit
  Dom0. (#244055) Patches 13630-domctl.patch,
  13903-domctl.patch and 13908-domctl.patch
- Updated patch pae-guest-linear-pgtable.patch
* Mon Feb 12 2007 - ccoffing@novell.com
- Load xenblk at dom0 start to support bootstrapping from
  non-loopback devices.  (#242963, #186696)
- Update vm-install:
  + Update translations
  + Clean up exception error codes and sync man pages
  + Honor ordering of arguments (as claimed in man page)
  + #240984: properly detach vncviewer
  + #240387: default to absolute coordinate mouse for Windows
- Drop logging patch.  (#245150)
* Mon Feb 12 2007 - ro@suse.de
- remove -fstack-protector from RPM_OPT_FLAGS for now
* Thu Feb 08 2007 - ccoffing@novell.com
- Update vm-install:
  + Allow specifing disk (and disk size) vs. cdrom from CLI
  + Add missing -M/--max-memory parameter to CLI to match GUI
  + #241528: Display error if user selects FV OS but hw lacks VT
  + Move all consistency checks out of Options class, since CLI
  options may be processed in a "bad" order
  + Fix infinite loops when info is missing from background jobs
  + --background implies --no-auto-console
  + Don't let user close progress window
  + Fix bug in qemu slowness work-around, reported by Jan Albrecht
  + Do disk.validate() when clicking "OK" on disks page
  + #238959: Probe for removable media via /sys/block
  + Output VNC info for backgrounded job
  + Fix method of waiting for VM to exit when --no-autoconsole
  + #239582: Use extracted kernel-xen/initrd-xen if present
* Tue Feb 06 2007 - ro@suse.de
- disable commented out buildreq for kernel for the moment
  to workaround endless rebuild
* Tue Feb 06 2007 - ccoffing@novell.com
- xm-test should clean up xenstore better (#180138)
* Thu Feb 01 2007 - ccoffing@novell.com
- Implement better job support for CIM (#241197)
- Temporary fix to allow PV VMs to reboot (#237414)
- Delete PYTHONOPTIMIZE for good; callers don't set it.
* Wed Jan 31 2007 - ccoffing@novell.com
- Update xen-3.0.4 (changeset 13138); includes migration bugfix.
* Tue Jan 30 2007 - ccoffing@novell.com
- Enable building KMP.
- Fix xendomains to work with managed domains. (#238781)
* Thu Jan 25 2007 - ccoffing@novell.com
- Various bug fixes of 32on64, from Jan and Keir.
- Gerd's fix for domain builder with > 4 GB RAM (#233761)
- Update xen-vm-install:
  [#234331], #239007: CD/DVDs should always be marked read-only
  [#238458]: Work-around qemu slowness bug
  [#239196]: Support SLED
  [#239275]: Fix .desktop file
  [#240064]: Clean up VMs better after failed install
* Tue Jan 23 2007 - ccoffing@novell.com
- Update xen-vm-install:
  [#237370]: Can now install 32pae SLES 10 on x86_64 hypervisor
  [#237396]: Be able to use an existing disk, bypass OS installation
  Fix handling of user's extra_args
- Patch from Jan to enable building PV drivers KMP for FV SUSE.
  Currently conditionalized.
- Drop unused patches xen-io-register-context.diff and
  xen-console.diff
* Sat Jan 20 2007 - brogers@novell.com
- Fix handling of localtime config file parameter for PV guests
  (#234376)
* Fri Jan 19 2007 - ccoffing@novell.com
- Update xen-vm-install (NIC UI work; do not require tcp port bz
  [#236517]; integrate with virt-manager)
* Wed Jan 17 2007 - ccoffing@novell.com
- Update xen-vm-install (more disk UI work; support NetWare
  response files and licenses)
* Tue Jan 16 2007 - ccoffing@novell.com
- Major fixes to xen-vm-install (adding disks in the UI now works,
  and fixed several CLI exceptions)
- Microcode does not need to be exactly 2048 bytes (changeset
  13079; Kurt)
* Fri Jan 12 2007 - ccoffing@novell.com
- Include script to clone SLES 10 domU, from coolsolutions (fate
  [#301742])
- Updated patches from Gerd and Jan, including PAE > 4 gig fix,
  updated VGA console patch.
- Updated xen-vm-install with finalized strings and desktop file.
* Thu Jan 11 2007 - ccoffing@novell.com
- Include xen-unstable patches for HVM save/restore and 32-on-64
  HVM.
- Update to xen-3.0.4-1 (changeset 13132).
* Wed Jan 10 2007 - ccoffing@novell.com
- Update xen-vm-install and domUloader to support NetWare.
- Include AMD's nested page table patches.
* Mon Jan 08 2007 - ccoffing@novell.com
- Update to xen-3.0.4 (changeset 13129).
- Fix from upstream for mis-emulation of x86-64 pop.
* Fri Jan 05 2007 - carnold@novell.com
- Many patches from Jan Beulich and Gerd Hoffmann in support of
  32 on 64 pv guests.  These patches apply to both the hypervisor
  and the tools.
* Fri Dec 22 2006 - ccoffing@novell.com
- Do not require authentication on XenAPI socket, since CIMOM does
  not support authentication.  Socket is only accessible to root.
* Wed Dec 20 2006 - ccoffing@novell.com
- Update to xen-3.0.4 (changeset 13100).
- Update xen-vm-install tools.
- Include Jim's 2 xen-tools patches for CIM provider issues.
* Mon Dec 18 2006 - ccoffing@novell.com
- Update to xen-3.0.4-rc3 (changeset 13087).
- Fix line terminators in block-iscsi (#228864)
- Make domUloader work with blktap support in xend.
* Fri Dec 15 2006 - ccoffing@novell.com
- Update to xen-3.0.4-rc2 (changeset 13067).
* Thu Dec 14 2006 - ccoffing@novell.com
- Update to xen-3.0.4-rc1 (changeset 12901).
* Wed Dec 13 2006 - brogers@novell.com
- Patch for loading bimodal PAE kernel to suuport NetWare
* Thu Dec 07 2006 - ccoffing@novell.com
- Update to xen-unstable (changeset 12757).
- Enable LIBXENAPI_BINDINGS and XENFB_TOOLS.
- Enable unix domain socket for xend; needed by tools.
* Tue Dec 05 2006 - ccoffing@novell.com
- Update to xen-unstable (changeset 12734; feature freeze for
  3.0.4)
- Make /etc/xen mode 0700 to protect vnc passwords.
* Mon Nov 27 2006 - ccoffing@novell.com
- Fix how bootloader is called by the xend during restarts.
  (#223850)
* Wed Nov 22 2006 - ccoffing@novell.com
- Series of patches from Jan to address selectors with non-zero-
  bases and other related issues in HVM. (#214568)
- Default pae=1, otherwise 64 bit HVM does not work at all.
  (#217160)
* Fri Nov 17 2006 - ccoffing@novell.com
- Backport several HVM fixes. (#176171?)
* Thu Nov 16 2006 - ccoffing@novell.com
- Fix some problems in the xen-hvm-default-bridge patch. (#219092)
- xmlrpc isn't 64-bit clean, causing xend to get exceptions when
  PFN is > 2 GB. (#220418)
* Mon Nov 13 2006 - kallan@novell.com
- Backport changesets 11847, 11888, 1189[6-9], 119[00-18], 11974,
  1203[0-2], and 12205 from xen-unstable so that the PV drivers
  can compile on older kernels such as sles9 and rhel4
- Fix netfront.c to fail the probe if it is called for an ioemu
  type device.  This allows both PV and FV drivers to exist at
  same time in the FV guest.
* Thu Nov 09 2006 - ccoffing@novell.com
- Add xen-vm-install.
- Default bridge correctly for HVM guests. (#219092)
* Wed Nov 08 2006 - aj@suse.de
- Set correct permissions on man files.
* Tue Nov 07 2006 - ccoffing@novell.com
- Update name of blktap.ko in xend init script. (#215384)
- Remove some extraneous bad chars in xm manpage. (#218440)
- Update logrotate.conf.
- Update spec file.
* Wed Nov 01 2006 - kallan@novell.com
- Backport xen-unstable changesets 12040 to address spurious
  interrupts with PV drivers in HVM guests.
* Tue Oct 31 2006 - ccoffing@novell.com
- Backport xen-unstable changesets 1184[1-3] to address SVM
  interrupt injection issues.  Replaces earlier (broken) patches.
* Mon Oct 30 2006 - ccoffing@novell.com
- /var/lib/xen/images should not be world readable. (#214638)
- Update to xen-3.0.3-0 (changeset 11774; no code changes).
* Mon Oct 16 2006 - ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11772 (rc5).
- Fix several possible type errors when running domUloader.
- Remove pygrub.  Was broken on reiserfs and never had ext2
  support, so it is useless. (#173384)
- First attempt at moving domUloader to blktap.  Still disabled
  due to block-detach failing.
* Fri Oct 13 2006 - ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11760 (rc4).
* Tue Oct 10 2006 - ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11740 (rc3).
- Fix crash on PAE when specifying dom0_mem=4096M. (#211399)
- Make xend.balloon aware of kernel's memory floor, to fix
  "Privileged domain did not balloon" errors. (#184727)
* Mon Oct 09 2006 - ccoffing@novell.com
- Include AMD's interrupt injection fix.
* Wed Oct 04 2006 - ccoffing@novell.com
- Imported keymap patch. (#203758)
- Account for minimum memory required by dom0 kernel. (#184727)
- Package /usr/include/xen/hvm/*.h
* Tue Oct 03 2006 - ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11686.
* Tue Oct 03 2006 - kallan@novell.com
- Updated README.SuSE to reflect the current method of handling
  Xen network-bridging when using SuSEfirewall2.  (#205092)
* Sat Sep 30 2006 - aj@suse.de
- Cleanup BuildRequires.
* Thu Sep 28 2006 - ccoffing@novell.com
- Only "eval" disks once in domUloader, to match current Xen.
* Wed Sep 27 2006 - ccoffing@novell.com
- Switch to xen-3.0.3-testing tree; changeset 11633.
- Update (but disable) paravirtualized framebuffer patches.
* Tue Sep 26 2006 - ccoffing@novell.com
- Update to xen-unstable changeset 11623.
- Fix domUloader typo introduced in last update.
- Build debug version of xen-pae.
* Mon Sep 25 2006 - ccoffing@novell.com
- Update to xen-unstable changeset 11616.
* Tue Sep 12 2006 - ccoffing@novell.com
- Update check_python script to identify Python 2.5 RCs as valid.
* Mon Sep 11 2006 - ccoffing@novell.com
- Update to xen-unstable changeset 11440.
- xen-tools conflicts with qemu.  Do not package qemu.1 manpage.
  (#204758)
- Include Jan's updated patch for #192150 (to preserve register
  context when doing IO).
* Tue Sep 05 2006 - ccoffing@novell.com
- Update block-nbd and xmexample.nbd, and add block-iscsi and
  xmexample.iscsi (from Kurt).
* Thu Aug 31 2006 - ccoffing@novell.com
- Automatically create/destroy virtual frame buffer viewer.  Add
  "sdl=1" to config file of a paravirtualized VM to get the viewer.
- Log files have moved to /var/log/xen.
* Tue Aug 29 2006 - ccoffing@novell.com
- xendomains does not actually save domains.  (#201349)
- Update to xen-unstable changeset 11299.
* Tue Aug 29 2006 - ccoffing@novell.com
- Fix incorrect path on x86_64 for vncfb and sdlfb.
* Thu Aug 17 2006 - ccoffing@novell.com
- Improve xendomains init script, to handle unset sysconfig vars.
- Import virtual framebuffer patches.
- Drop reboot patch; resync patches.
* Wed Aug 16 2006 - ccoffing@novell.com
- Update to xen-unstable changeset 11134.
- Drop xen-reverse-10064.diff now that kernel is updated.
* Tue Aug 08 2006 - ccoffing@novell.com
- Re-enabled patch for #184175.
- Update to xen-unstable changeset 10986.
- Include Jan's patch to preserve register context when doing
  IO.  (#192150)
* Fri Jul 28 2006 - ccoffing@novell.com
- Add support to domUloader for "xm create --dry-run".  Based on
  patch from HP.
* Thu Jul 27 2006 - ccoffing@novell.com
- Add link for qemu-dm that is invariant across architectures, so
  that VM config files can be simple key/value pairs parsable by
  yast, and still be movable to another arch.  (#193854)
- Add loop.ko to rescue image created by mk-xen-rescue-img, and
  remove usbfs from image's /etc/fstab since USB isn't yet
  supported, to avoid errors during boot.  (#191627)
* Mon Jul 17 2006 - ccoffing@novell.com
- Update to xen-unstable changeset 10712.
- Update domUloader and rcxend to work with blktap.
* Fri Jul 14 2006 - ccoffing@novell.com
- When waiting for domains to shut down, must also wait for
  loopback devices to be torn down, otherwise higher-level tools
  may migrate a VM before the disk image is flushed.  (#185557)
- More updates to the README.
* Thu Jul 13 2006 - kallan@novell.com
- Added for loop to retry the losetup -d in /etc/xen/scripts/block.
  It is possible for the losetup -d to fail if another process is
  examining the loopback devices e.g. losetup -a.  (#151105)
* Wed Jul 12 2006 - ccoffing@novell.com
- Corrected and updated README.
* Mon Jul 10 2006 - ccoffing@novell.com
- Add Jeff Mahoney's block-sync.diff, to give control of
  "losetup -y" to the user (and potentially yast).  Defaults to
  old async behavior.  (#190869)
* Thu Jul 06 2006 - ccoffing@novell.com
- Update to xen-unstable tree.  Revert changeset 10064, to maintain
  backwards compatibility with SLES 10.
* Wed Jul 05 2006 - ccoffing@novell.com
- Do not open migration port by default.  (#190170)
- Update patch for migration oops, to latest version in bug
  [#162865].
* Mon Jul 03 2006 - okir@suse.de
- xen-losetup-sync.diff: use the new "losetup -y" option to force
  the loop device to use synchronous I/O (#189051)
* Fri Jun 30 2006 - ccoffing@novell.com
- Increase balloon timeout value.  (#189815)
- Update to xen-3.0-testing tree, changeset 9762.
* Thu Jun 29 2006 - ccoffing@novell.com
- Fix some loopback races in domUloader.  (#151105)
* Tue Jun 27 2006 - ccoffing@novell.com
- Add "max_para_memory" and "max_hvm_memory" to output of "xm info"
  for bug #184727.
- Include Jan's patches for bug #184175.  Improves PAE guest
  support on HVM.
* Mon Jun 26 2006 - ccoffing@novell.com
- Include patch from HP to fix a domU migration failure ("Kernel
  BUG at mm/mmap.c:1961").  Force L1/L2 page tables to be updated
  at the end, to avoid them from being dirtied and not transferred.
  (#162865)
* Fri Jun 23 2006 - kallan@novell.com
- Updated xen-bonding.diff to enable bonding again after the latest
  patches to network-bridge etc. (#161888)
* Wed Jun 21 2006 - ccoffing@novell.com
- Clean up the useless "Nothing to flush" messages, from 'ip addr
  flush', in /var/log/xen-hotplug.log
- Fix race condition in domUloader.py, when another process did
  losetup -d while domUloader was running.  This would result in
  the mount failing, and so the VM would fail to start.
* Tue Jun 20 2006 - ccoffing@novell.com
- Revamp balloon.py to account for pages currently being
  scrubbed.  (#185135)
* Mon Jun 19 2006 - ccoffing@novell.com
- Update to xen-3.0-testing tree, changeset 9749.
- DomUs are getting starved for CPU (up to 40 seconds was seen)
  when dom0 has a load.  This can cause pathological behavior, and
  can cause OCFS2 to fence (panic) the domain.  (#179368, #178884)
- Import Gerd's fix to network-bridge script for bug #161888.
* Wed Jun 14 2006 - ccoffing@novell.com
- Pull out accidentally-included debugging code.
- Drop xenvers patch; this was for backwards compatibility for
  some early internal builds.
- Update from Jan on the console patch.  Not all graphics cards /
  drivers properly reflect the state in the register being tested.
  Improved the check, to prevent screen corruption.  (#161541)
* Tue Jun 13 2006 - ccoffing@novell.com
- Resync with new tarball from xen-3.0-testing; changeset 9738.
* Mon Jun 12 2006 - ccoffing@novell.com
- Drop BUILD_BUG_ON and pirq-shared patches.  Last week's pirq
  sharing patch from upstream (for bug #152892) makes these patches
  redundant.  Dropping these makes our shared_info structure match
  upstream again, which is needed for compatibility with other
  paravirtualized guests.
- Import changeset 9734 from xen-3.0-testing.  This fixes a hyper-
  call (used by the pcifront driver) to work on MP guests.  Without
  this, the pciback driver can hang on MP.  (#181467)
- Import changeset 9733 from xen-3.0-testing.  This patch is
  required to match the Linux kernel, since Linux always calls
  this operation from VCPU0 during secondary VCPU bringup.
  Without this, process run-time accounting on secondary CPUs is
  completely wrong.
- Updated README:  Documented work-around for bug #180058.
* Fri Jun 09 2006 - ccoffing@novell.com
- Include Jan's patch: "IOPL is ignored for VM86 mode port
  accesses.  Fix Xen emulation to match native behaivour."  Fixes
  some X lockup issues.  (#179045)
- Include Keir's patch to allow reading from port 0x61, to avoid
  an X server lockup.  (#171087)
- Include xen-3.0-testing changeset 9726, which is needed to
  support the latest kernel-xen.  With this support, Linux will
  only trigger unhandled IRQ path if IRQ is not shared across
  multiple guests (another guest may have handled the interrupt).
  This is more upstream work that goes with bug #152892.
- Add versioning to the Requires lines, to guard against mixing
  binary incompatible versions.  (#183292)
- I accidentially dropped part of Clyde's fix for bug #162244.
  SMP support in HVM is working in xen-unstable, so upstream
  dropped the HT CPUID masking code, which we then inheirited.
  Re-add HT CPUID masking.  (#162244)
- Updated README:  VNC installations, known issues.
* Thu Jun 08 2006 - ccoffing@novell.com
- Drop our XCHG patch for the equivalent upstream patch, to fix
  patch application order.  No code change.
* Wed Jun 07 2006 - ccoffing@novell.com
- Updated README:  HVM issues/tips, CDROM tips, known issues.
- Add patch from Intel to decode LODS/STOS instructions to fix
  Windows installation.  Only affects HVM.  Xen changeset #9725
  consolidates this patch and xen-hvm-decode.diff; drop our 2 in
  favor of the consolidated upstream patch.  (#176717)
* Tue Jun 06 2006 - ccoffing@novell.com
- Drop xen-8-way-bios patch, because it breaks Windows HVM
  installation.  The patch was only necessary when running SMP HVM
  with "acpi=0" on the kernel command line.  (#181974)
- Include two patches from xen-3.0-testing that change the
  interface between Xen and guests.  Including these now to help
  forward-compatibility:
  + 9709: Changes interface for accessing %%cr3 so that extra bits
  (>4GB) for PAE pgdirs are placed in low-order bits of %%cr3.
  Kernels without support for this will still run fine.
  + 9721: Use explicitly-sized types in the dom0_ops and privcmd
  structures.
- Fix ability to change ISOs images for HVM guest.  (#181895)
- Removed pointless whitespace changes from xen-removable.diff, for
  better maintainability.  Cut the patch size in half; no code
  changes.
* Mon Jun 05 2006 - ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9698: Official fix for bug #159001.  Dropped our patch.
  + 9702: Fix MMU_NORMAL_PT_UPDATE when passed a page that is no
  longer of type page-table.
  + 9703: Modification to fix for bug #159001; ignore empty PTEs.
  + 9704: Fix for obvious typo in map_pages_to_xen: When replacing
  a pte, free the page table pointed to by the old entry, not the
  new entry.
  + 9705: Jan's previous signed-ness patch (c/s 9695) was changed
  when accepted upstream, which broke it; this changeset
  attempts to fix the breakage.
  + 9708: HVM: Fix a hang when doing an "xm destroy" of Windows VM.
  + 9717: HVM: Interrupts must be kept disabled when entering Xen
  for external interrupt processing.
* Fri Jun 02 2006 - ccoffing@novell.com
- Include xen-3.0-testing changeset 9693.  This scales the
  ballooning timeout with the amount of memory being requested
  (necessary for large memory machines).  This is a more proper fix
  for Novell bug #175805, and addresses XenSource bug #650.
* Thu Jun 01 2006 - ccoffing@novell.com
- Update the README, regarding how to make the mouse work properly
  with VNC in HVM.
- Update help text in mk-xen-rescue-img.
* Wed May 31 2006 - ccoffing@novell.com
- Jan's backport of xen-unstable changesets 9517, 9518, and 9529.
  This allows Xen to boot on 4-node configurations without
  crashing.  (#150114)
- Include patch from Jun Nakajima at Intel to fix inability to
  start XWindows after creating HVM guest.  (#159001)
- Include select patches from xen-3.0-testing:
  + 9697: Fix infinite recursion loop in get_page_type() error path
- Include xen-unstable changeset 9967, to improve Summagraphics
  tablet emulation, to help mouse tracking in HVM.  (#167187)
- Include 3 patches from AMD to fix SMP support in HVM.  (#176171)
- Add CPUID masking patches from AMD and Intel for HVM.  This
  prevents the OS from seeing (and trying to use) various hardware
  features that are not supported within the VM.  (#180879)
* Fri May 26 2006 - ccoffing@novell.com
- Fix deadlock between xm and qemu.  Qemu should not call xm;
  issue xc commands directly.  This deadlock was exposed when
  making qemu exit nicely and clean up.  (#176400)
- Include Gerd's update to his previous REP MOVS fix.  Calculating
  high_addr and low_addr is more complicated than previously
  thought, and the count was wrong.  (#165448).
- Drop previous patch that forcefully turns off Xen's console
  logging to avoid video corruption; instead use Jan's patch which
  only turns logging off when in graphical mode.  (#161541)
- Include Jan's patch to call machine_halt rather than inline
  assembly "hlt" when Xen crashes to sync display, disable watchdog
  timers, etc.
- Tweak the auto-ballooning patch to limit the VM itself to the
  requested amount of memory, don't include the overhead, as
  suggested by Intel.  Separate calls exist elsewhere to increase
  the max as needed.  (#149179)
- Include select patches from xen-3.0-testing:
  + 9688, 9696:  These remove some broken assembly string
  functions.  This is prep work from Jan for bug #160066.
  + 9695: Updates in the hypervisor to EDI and ESI could be
  incorrect, due to sign not being handled correctly.
* Fri May 19 2006 - ccoffing@novell.com
- Update from Intel to previous patch to fix installation of HVM
  W2k.  Adds decoding for two more instructions.  (#176717)
- Updated the README.
- Included updated version of KY's patch to reserve some lowmem
  for PAE, to avoid kernel BUG() during boot.  The amounts of
  memory reserved at various physical memory sizes have been
  adjusted.  (#175124)
- Include Intel's patch for unchecked allocations in shadow*.c.
  (#149179)
* Thu May 18 2006 - ccoffing@novell.com
- Include Intel's patch to fix installation of HVM W2k.  This patch
  adds decoding for 'xor' and 'and' instructions.  Without this,
  the VM crashes when W2k attempts to install network components.
  (#176717)
- While tidying xen-hvm-memory-check.diff for submission upstream,
  I noticed an error in the patch (such that low-memory while
  starting the HVM domain could still crash the physical machine.)
  Now all uses of iopm are protected by the check.  (#149179)
- Xen must always relinquish control of the VGA console once dom0
  has started.  Otherwise, it could be over-writing dom0's memory,
  causing screen or other memory corruption.  Admin can use
  "xm dmesg" to view Xen's log instead.  (#161541)
- First send a SIGTERM, rather than SIGKILL, to qemu to give it a
  chance to clean up.  This fixes both mouse and CD-ROM issues
  for fully virtualized VMs.  This is a work-around; Ross is
  still working on the proper fix.  (#176400, #171258, #176157)
- Include select patches from xen-3.0-testing:
  + 9682,9683: These patches only affect full virtualization on
  AMD.  Fixes register corruption, cleans up event injection,
  cleans up IO handling.
  + 9685,9686: This patch only affects full virtualization on
  Intel.  Fixes VM's segment base address, to avoid vmentry
  failure.  Also remove 32/64 differences in vmx reg store/load.
* Wed May 17 2006 - ccoffing@novell.com
- When auto-ballooning domain 0's memory for a new HVM domain,
  all memory (including memory intended for overhead) was given
  to the VM itself.  So increasing the memory size calculations
  did not actually free up any more memory.  Now, treat the amount
  to balloon and the amount to give to the VM as separate values.
  (#149179)
* Tue May 16 2006 - ccoffing@novell.com
- Include Gerd's fix for HVM emulation of REP MOVS when the copy
  spans a page.  If the direction flag was set, the emulation code
  broke.  This caused the VM to freeze when configuring firewall
  (#165448).
- Include KY's fix to default to reserving 16M of lowmem for PAE,
  to avoid hitting kernel BUG() during boot (#175124).
- Don Dugger's (Intel) fix for HVM screen corruption (#164573).
- Increase maximum time auto-ballooning will wait for domain 0 to
  respond, otherwise large VMs will fail to start from yast
  (#175805).
* Mon May 15 2006 - ccoffing@novell.com
- Update memory size calculations when auto-ballooning for HVM
  to make more stable (#149179).
* Fri May 12 2006 - ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9674: xc_ptrace: Fix reversed conditional, which broke single-
  stepping.
  + 9675: xc_ptrace: Fix out-of-bounds memory-access for FPU state.
  + 9678: Fix the performance issues of 2-level paging HVM guests
  on the PAE Xen.
- Update man pages.
* Wed May 10 2006 - brogers@novell.com
- Fix loading of binary images which either require PAE or
  dynamically support running on both PAE hypervisor and non-PAE
  hypervisors. (#174080)
* Wed May 10 2006 - carnold@novell.com
- Handle memory failure when staring fully virtualized
  guests to prevent reboot of the box (AMD) or
  hanging the box (VT) (#149179).
* Tue May 09 2006 - ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9665: Fix pciif parsing for compatibility variable.
  + 9666: Fix HVM hang; was broken due to previous "hda lost
  interrupt" patch. (#169146)
  + 9667: Do not set GP fault in VMCS for VMX (no bug#; from Intel)
* Thu May 04 2006 - cgriffin@novell.com
- Update xen-3.0-testing tree, changeset 9664:
  + Changesets 9663 and 9664 fix AMD fully virtualized
  guests causing the system to reboot when
  first starting up.  (#169855)
* Thu May 04 2006 - cgriffin@novell.com
- With a Xen domain set up with a loop-mountable file as rootfs,
  the "xm start " invocation fails. The cause is a bug
  domUloader.py (#172586)
* Thu May 04 2006 - rmaxfiel@novell.com
- Added the ability to 'attach' and 'detach' removable media
  devices to hvm guests.  Also made cdrom eject when the eject
  request comes from the hvm guest. (#159907)
- Fixed the loss of mouse when a SDL session ends with 'grab'
  in effect.  (#159001)
* Thu May 04 2006 - cgriffin@novell.com
- Update xen-3.0-testing tree, changeset 9661:
  + Drop patches merged upstream
  + Took Kier's official patches for dropped patches most
  notably spurious interrupts (#152892)
- Took Intel's patch to fix screen corruption when
  resizing the screen of windows hvm guests (#164573)
* Wed May 03 2006 - kallan@novell.com
- Added configuring network interfaces when using Xen bridging instructions
  to the README.SuSE file as requested by bug #171533.
* Mon May 01 2006 - tthomas@novell.com
- Added message to xm save to indicate that save is not currently
  supported for fully virtualized guests. (#161661)
* Fri Apr 28 2006 - ccoffing@novell.com
- Close fds before exec-ing vncviewer, so yast2-vm doesn't hang
  when viewing fully-virtualized console (#168392).
* Thu Apr 27 2006 - ccoffing@novell.com
- Update xen-3.0-testing tree, changeset 9656:
  + Drop patches merged upstream.
  + Fix reboot on large SMP machines (IBM, no bug #).
- Integrate Jan's patches:
  + Spurious interrupt roundup (#152892).
* Mon Apr 24 2006 - ccoffing@novell.com
- Integrate Jan's patches:
  + FXSR patch (#135677).
  + APIC option patch (work-around #150114).
  + Protect against hypervisor crash (#169143).
- Update xen-3.0-testing tree, changeset 9649:
  + Avoid spurious timer activations in hypervisor.
  + Fix xen command line parsing (lapic / nolapic parsing).
  + Fix inverted BUG_ON w.r.t. SiS APIC bug.
* Fri Apr 21 2006 - ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9640):
  + Fix for "hda lost interrupt" for PAE VMX.
  + Increase L2 PDE to 1 GB; allows x86_64 to boot larger dom0.
  + Fix for SVM booting 32pae-on-32pae.
- Drop upstream patches (SiS APIC bug, HTT, HVM interrupt race)
- Add Jan's port of spurious interrupt patch (#152892).
- Add /etc/xen/images link for convenience (#168070).
- Updated README.
* Thu Apr 20 2006 - ccoffing@novell.com
- SiS APIC bug patch (Jan Beulich, #116485).
* Wed Apr 19 2006 - agruen@suse.de
- Create /boot symlinks in the %%install section instead of in
  %%post so that they will end up in the package file list.
* Wed Apr 19 2006 - ccoffing@novell.com
- Don't kill xenstored and xenconsoled when stopping xend.
  (#158562, #156261)
* Wed Apr 19 2006 - ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9629):
  + Fix for SMP IA32 VMX guest booting.
  + KY's SETMAXMEM fix.
* Wed Apr 19 2006 - cgriffin@novell.com
- Removed HTT bit from cpuid and set logical processor count to 1.
  Also fixed logic problem in svm code where apic=0 was not
  handled (#162244).
* Tue Apr 18 2006 - ccoffing@novell.com
- Add /etc/xen/vm to vm config file search path (#167208).
* Fri Apr 14 2006 - kallan@novell.com
- Add support for bonding in network-bridge. (#161678).
* Fri Apr 14 2006 - ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9620):
  + Fixes stack corruption in libxs (XenSource #411).
* Thu Apr 13 2006 - rmaxfiel@novell.com
- Fixed a problem in ioemu which exited when the cdrom line was
  found in the guest def file but the cd device contained no media.
  (#161210)
* Wed Apr 12 2006 - ccoffing@novell.com
- Auto-balloon domain 0 for HVM domains (#149179).
- Update to 3.0.2-1 (xen-3.0-testing tree, changeset 9612):
  + Fixes xmlrpc issues.
  + Fixes several emulated instructions for HVM.
  + Fixes for x86_64 inline assembly.
* Tue Apr 11 2006 - ccoffing@novell.com
- Fix "jitter" and race in dom0's memory target calculation, which
  could cause auto-ballooning to fail (#164714).
* Tue Apr 11 2006 - brogers@novell.com
- Fix problem where localtime=1 results in zombie domains after
  they shutdown (#164960)
* Mon Apr 10 2006 - ccoffing@novell.com
- Update to hg 9598 (xen-3.0-testing tree; 3.0.2-rc).  Discounting
  Linux changes and patches we already carry, this update contains:
  + Saner error handling in iret hypercall (x86/64).
  + Make root page table sanity check on restore more generic.
  + Additional sanity / compatability checks during guest build.
  + IO-APIC update hypercall fixes.
* Fri Apr 07 2006 - ccoffing@novell.com
- Don't throw an exception if 'xm top' is run by non-root; print
  error message instead (#164224).
- Change localtime patch to account for daylight savings time
  (Bruce Rogers).
- Re-add patch to make tightvnc work.  It was accidentally dropped
  recently (#149556).
* Thu Apr 06 2006 - ccoffing@novell.com
- Update to hg 9590 (xen-3.0-testing tree; 3.0.2-rc).
- Fix type error in localtime patch for para (Bruce Rogers).
- Fix default localtime for full (Bruce Rogers).
- Fix path in mk-xen-resue-img.sh (#163622).
- Update README (pathnames, yast2-vm descriptions, terminology).
* Tue Apr 04 2006 - garloff@suse.de
- init script: Test for control_d in capabilities to determine dom0
  rather than privcmd.
- init script: Try loading netloop and backend modules.
- mk-xen-rescue-img.sh: Copy frontend drivers, remove stale files.
- example config files: provide commented out domUloader exmaples.
* Mon Apr 03 2006 - ccoffing@novell.com
- Update to hg 9514 (xen-unstable tree; 3.0.2-rc).
- Fix for rebooting (Jan Beulich; #160064).
* Fri Mar 31 2006 - ccoffing@novell.com
- Update to hg 9502 (xen-unstable tree; 3.0.2-rc).
- Update man page (#162402).
- xen-tools requires python-xml (#161712).
- Include localtime patch to support NetWare (Bruce Rogers).
* Thu Mar 30 2006 - ccoffing@novell.com
- Update to hg 9481 (xen-unstable tree; 3.0.2-rc).
- Correctly default XAUTHORITY if it is not set.  This allows the
  GUI to come up for fully virtualized guests (was especially
  problematic when VM was started from YaST).  (#142472)
* Wed Mar 29 2006 - ccoffing@novell.com
- Fixed reversed "Do I have enough memory?" test when creating
  new VMs (#156448).
* Tue Mar 28 2006 - ccoffing@novell.com
- Pick up two critical fixes for AMD to fix full virtualization:
  c/s 9453 & c/s 9456.
* Thu Mar 23 2006 - ccoffing@novell.com
- Update to hg 9434 (xen-unstable tree; 3.0.2-rc).
- Fix /etc/xen/scripts/block to properly check if devices can be
  shared.
- Default XENDOMAINS_AUTO_ONLY to true; previous setting
  contradicts yast2-vm's claim that only VM's marked auto will be
  auto-started.
* Mon Mar 20 2006 - ccoffing@novell.com
- Update to hg 9329 (xen-unstable tree).
* Wed Mar 15 2006 - ccoffing@novell.com
- Update to hg 9251 (xen-unstable tree).
- Update to latest versions of Intel's VNC patches:
  patch-vga-sse2-0314.l, patch-vnc_loop-0314.l,
  patch-vncmouse-0315.l
- Gather example files in /etc/xen/examples.
* Tue Mar 14 2006 - rmaxfiel@novell.com
- Removed the intermediate sym-link between xen.gz and
  xen-<version>-<release>.gz.  Grub 0.97 XFS can not handle a
  double indirect to a file.  (#151792)
* Tue Mar 14 2006 - garloff@suse.de
- Update README.SuSE: Document limits (mem, cpu hotplug, max_loop),
  more network troubleshooting, update security info.
- Be more tolerant against errors in ifdown/ifup to better coexist
  with non-std network setups (e.g. ifplugd/NetworkManager).
* Tue Mar 07 2006 - ccoffing@novell.com
- Update to hg 9172 (xen-unstable tree).
- Create new xen-libs package, split from xen-tools (#154473).
- Update mk-xen-rescume-img and xmexample.rescue to work with
  current rescue image on CD (#152971).
- Include Kurt's patch to domUloader, to pass command line args.
- xendomains shouldn't try to migrate or save HVM domains, as this
  isn't supported and will stall the shutdown (#155265).
- Create empty /etc/xen/vm directory for YaST to place config files
  in, to avoid name collisions (#156322).
- Update and re-enable vga patch from Intel (Don Dugger).  VGA
  emul is faster and not corrupted.
- ifup is run to ensure IPs are assigned before rearranging for
  xen, but this can fail with ifplugd; this should not kill the
  whole script (Kirk Allan) (#154115).
- Make network-bridge script more robust, by checking /sys instead
  of grep-ing.
* Mon Mar 06 2006 - ccoffing@novell.com
- Update to hg 9148 (xen-unstable tree).  Drop patches merged
  upstream.
- More README improvements (#154134).
- Fix "vncviewer=1" to bring up vncviewer (#149556).
* Mon Mar 06 2006 - ccoffing@novell.com
- Fix build of hvmloader and vmxassist by removing external
  CFLAGS (XS changeset #9110).
- Fix build by forcing --prefix during installation of *.py.
* Wed Mar 01 2006 - ccoffing@novell.com
- Update to hg 9029 (xen-unstable tree).  Adds support for HVM on
  64 bit hardware.
- Update vncmouse diff to 20060301 from Intel; compensates for lack
  of eager events in our LibVNCServer.
- Fix many bugs in lomount.
- Cap maximum value of "xm mem-set" for domain 0, based on size of
  dom0's page tables (#152667).
* Mon Feb 27 2006 - ccoffing@novell.com
- Update to hg 9015 (xen-unstable tree).  More bug fixes.
- Update patch to better honor RPM_OPT_FLAGS.
- Updated README (#154134).
- Disable xen-vga-0213 patch; it speeds VGA updates but was
  corrupting the display.
- Change max mouse polling time from 1ms to 10ms to reduce CPU
  load (from Intel).
* Thu Feb 23 2006 - ccoffing@novell.com
- Update to hg 8954 (xen-unstable tree).  More bug fixes.
- Don't use a dummy IP of 1.2.3.4 for NFS server when booting domU
  with DHCP.  Seems to hang x86_64 Linux.
- Remove unnecessary x86_64 patch.
- Fix auto-ballooning of dom0 memory for HVM domUs (XenSource bug
  521).
* Tue Feb 21 2006 - ccoffing@novell.com
- Update to hg 8920 (xen-unstable tree).  Fixes instruction decode
  for fully virtualized guests, fixing booting from CDs.
- Integrate 3 patches from Intel, to improve VNC performance.
* Tue Feb 21 2006 - ccoffing@novell.com
- Update to hg 8910 (xen-unstable tree).
  fixes 32 on 32, 32 pae on 32pae, 64 on 64, 32 on 64.
  critical HVM fixes, for fully virtualized guests.
* Fri Feb 17 2006 - ccoffing@novell.com
- Update to hg 8870 (xen-unstable tree).  More HVM fixes.
- Remove duplicate balloon.free call.
- Add patch from Intel to fix dom0 crash on 64 bit SMP HVM.
* Thu Feb 16 2006 - carnold@novell.com
- Update to hg 8858 (xen-unstable tree).
* Wed Feb 15 2006 - ccoffing@novell.com
- Update to hg 8857 (xen-unstable tree).  Syncs hypervisor core
  with Linux 2.6.16, which may fix some ACPI issues.  Fixes HVM.
- Fix uninitialized variable in xc_load_bin (from Bruce Rogers).
- Auto-balloon dom0 for fully virtualized domains (#149179).
- xen-doc-html was missing image files.
* Mon Feb 13 2006 - ccoffing@novell.com
- Update to hg 8830 (xen-unstable tree).
- Restore cs 8783/8792 to match kernel.
* Wed Feb 08 2006 - ccoffing@novell.com
- Update to hg 8800 (xen-unstable tree).
- Update BuildRequires.
- Add "max-free-memory" to "xm info", to support yast2-vm (#147612)
- Insserv xendomains, to support yast2-vm.
- Fix exit code of "xend stop".
- Revert cs 8783/8792 to allow xenstore to start (until kernel
  catches up).
- Ensure eth0 aka veth0 really comes up in network-bridge.
* Sat Feb 04 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 27 2006 - ccoffing@novell.com
- Update to hg 8728 (xen-unstable tree).
- Improve network-bridge:
  + Ensure netdev really is up, to fix STARTMODE="manual".
  + Stop ifplugd when doing ifdown, to fix STARTMODE="ifplugd".
  + Improve check for whether bridge already exists.
  + Improve defaults for netdev.
- Fix log rotate so xend moves to new log.
- xen-tools "Requires" python, et.al.; xen proper doesn't.
- Revamp mk-xen-rescue-img.sh (#118566).
- Revamp rcxendomains:  improved output, error checking, return
  values (#143754, #105677).
* Tue Jan 24 2006 - ccoffing@novell.com
- Update to hg 8659 (xen-unstable tree).
* Mon Jan 23 2006 - ccoffing@novell.com
- Correct return values and improve messages of init scripts.
* Fri Jan 20 2006 - ccoffing@novell.com
- Use domUloader instead of pygrub.
* Thu Jan 19 2006 - carnold@novell.com
- Build based on the xen-unstable.hg 8628
* Wed Jan 18 2006 - carnold@novell.com
- Update to hg 8646 xen-unstable-hvm.hg tree.
* Fri Jan 13 2006 - ccoffing@novell.com
- Allow version string "XEN_VER=3.0" instead of just
  "XEN_VER=xen-3.0" for backwards compatibility.
- Correctly set changeset in compile.h.
* Thu Jan 12 2006 - carnold@novell.com
- Added two patches from AMD that apply to the 8513 changeset.
* Thu Jan 12 2006 - kukuk@suse.de
- Add libreiserfs-devel to nfb.
* Wed Jan 11 2006 - carnold@novell.com
- Update to hg 8513 xen-unstable-hvm.hg tree.
* Tue Jan 10 2006 - ccoffing@novell.com
- Update to hg 8269 (xen-3.0-testing).
- Support try-restart in init scripts.
- Clean up installation of udev rules.
* Wed Dec 14 2005 - ccoffing@novell.com
- Update to hg 8257 (xen-3.0-testing).
- Update documentation.
- Fix gcc 4.1 warnings.
* Wed Dec 07 2005 - ccoffing@novell.com
- Update to hg 8241 (xen-3.0-testing).
* Mon Nov 28 2005 - ccoffing@novell.com
- Update to hg 8073.
- Rationalize command names (eg, setsize -> xentrace-setsize).
- Fix gcc 4.1 warnings.
* Wed Nov 16 2005 - ccoffing@novell.com
- Update to hg 7782.
- Honor RPM_OPT_FLAGS better.
- Include a few simple, obvious fixes from upstream.
- Build xm-test package.
- Update udev scripts.
* Mon Nov 14 2005 - ccoffing@novell.com
- Includes upstream fixes to fix i586 save/restore.
* Thu Nov 10 2005 - ccoffing@novell.com
- Include a few simple, obvious fixes: 7609, 7618, 7636, 7689,
  7690, 7692, 7696
* Thu Nov 03 2005 - ccoffing@novell.com
- Update to hg 7608.
- Fix warn_unused_result warnings.
- Drop some patches (merged upstream)
- Tidy README.SuSE.
* Tue Nov 01 2005 - ccoffing@novell.com
- Update to hg 7583.
* Thu Oct 20 2005 - ccoffing@novell.com
- Don't mention unwritten man pages.
- Update xmexample* to match SUSE paths.
- Update xs-include patch.
* Wed Oct 19 2005 - garloff@suse.de
- Avoid race in watchdog functionality.
- Improve network-bridge script.
* Tue Oct 18 2005 - garloff@suse.de
- Ignore zombies in the xendomains shutdown procedure and have a
  configurable timeout for the commands. Make xendomains status
  report something useful.
- Make xendomains script comaptible to non-SUSE distros.
* Mon Oct 17 2005 - garloff@suse.de
- Update to hg 7398.
* Mon Oct 17 2005 - garloff@suse.de
- Create useful xendomains init script and sysconfig file.
* Mon Oct 17 2005 - garloff@suse.de
- Create symlinks also for -pae and -dbg hypervisor.
- Build doxygen documentation.
- Include block-nbd script and xen-nbd example config.
- Include patchset info.
* Wed Oct 12 2005 - garloff@suse.de
- Update docu.
- Enable xen-dbg hypervisor for gdbserver domU debugging.
* Tue Oct 11 2005 - garloff@suse.de
- Update docu.
- Update to hg 7313.
- Move libxenstore.so to xen-tools.
* Tue Oct 11 2005 - garloff@suse.de
- Fix buglet in /sbin/xen-vbd.
* Mon Oct 10 2005 - garloff@suse.de
- Downgrade to hg 7267.
- Add troubleshooting section to README.SUSE.
* Mon Oct 10 2005 - garloff@suse.de
- Fix typo in SrvDomain for mem-set operation.
- Workaround: write directly to balloon in dom0 setMemoryTarget.
- Kill xenconsoled and xenstored in rcxend stop.
* Sun Oct 09 2005 - garloff@suse.de
- Update to hg 7278.
- Provide udev rules to setup vifs and vbds in dom0 when domUs
  boot (kraxel).
- Change default FS size for rescue images to 80MB.
* Sat Sep 10 2005 - garloff@suse.de
- Update to hg 6715.
- Fix network-bridge down.
* Thu Sep 08 2005 - garloff@suse.de
- Build PAE version along non-PAE version of Hypervisor.
* Tue Sep 06 2005 - garloff@suse.de
- Try to fix network bridge down issue.
- Document netowrking and firewalling caveats in README.SUSE.
- Enable PAE.
* Tue Sep 06 2005 - garloff@suse.de
- Update to hg 6644.
* Sun Sep 04 2005 - garloff@suse.de
- Update to hg 6610.
- Rename default name of xen-br0 to xenbr0.
- Fix pygrub installation.
- Use libreiserfs to support pygrub on reiser.
* Mon Aug 29 2005 - ccoffing@novell.com
- xen-bridge-net.diff: do not destroy domain 0's network setup
  when starting xend.
* Mon Aug 29 2005 - garloff@suse.de
- Update to hg 6458.
- Drop privileged port check -- we use Unix dom sockets anyway
  (#105178).
- init.xend: Fix linebreaks in PID list.
- Correctly assign insserv to xen-tools subpackage.
* Thu Aug 25 2005 - garloff@suse.de
- Add dirs /var/run/xenstored and /var/lib/xenstored.
* Thu Aug 25 2005 - garloff@suse.de
- Update to hg 6393.
* Mon Aug 22 2005 - garloff@suse.de
- Update to hg 6315.
- Include linux-public headers in xen-devel package.
* Sun Aug 21 2005 - garloff@suse.de
- Update to hg 6305.
* Sun Aug 21 2005 - garloff@suse.de
- Update to hg 6299.
- Enable VNC support (depending on LibVNCServer).
* Sun Aug 21 2005 - garloff@suse.de
- Split off xen-tools-ioemu for supporting unmodified guests.
* Sat Aug 20 2005 - garloff@suse.de
- Enable pygrub (at the cost of depending on e2fsprogs-devel)
- Enable VMX ioemu SDL support (at the cost of many dependencies)
* Fri Aug 19 2005 - garloff@suse.de
- Update to mercurial changeset 6223.
- Move /usr/libexec/xen/ to /usr/lib[64]/xen/bin/.
- Split off -tools package.
* Mon Aug 15 2005 - garloff@suse.de
- Create symlinks in %%post.
- Update README.SUSE.
- Mark /etc/xen/ as %%config(noreplace).
- Fix x86-64 build (movl -> mov, lib vs. lib64 inst dirs).
- Remove PYTHONOPTIMIZE.
* Tue Aug 02 2005 - ccoffing@novell.com
- Fix warn_unused_result warnings
* Thu Jul 28 2005 - ccoffing@novell.com
- Update to latest 3.0-unstable snapshot.
* Wed Jul 13 2005 - ccoffing@novell.com
- Fixed bug in glibc24 patch that caused erroneous "out of memory"
  errors
* Fri Jun 24 2005 - ccoffing@novell.com
- Fix gcc4 patch that caused a panic in Xen at boot.
* Fri Jun 24 2005 - ccoffing@novell.com
- Fix xen-syms link.
* Fri Jun 17 2005 - ccoffing@novell.com
- Fix version-check in NetWare loader (0x336ec577 -> 0x326ec578).
* Fri Jun 17 2005 - ccoffing@novell.com
- Backport NetWare-friendly loader from Xen 3.0.
* Thu Jun 16 2005 - ccoffing@novell.com
- Destroy domains that failed to be fully created.
* Fri Jun 10 2005 - garloff@suse.de
- Update to latest 2.0-testing snapshot.
- Use RPM version and release no as xen version.
* Wed Jun 08 2005 - garloff@suse.de
- Update mk-xen-rescue-img.sh script: Handle SLES9 better.
- Export PYTHONOPTIMIZE in xend start script.
* Tue Jun 07 2005 - garloff@suse.de
- Merge _perform_err fixes.
* Mon May 23 2005 - ccoffing@novell.com
- update to 2.0.6
* Wed Apr 13 2005 - garloff@suse.de
- More gcc4 and binutils related fixes.
* Wed Apr 13 2005 - garloff@suse.de
- Build fixes for gcc4.
* Sun Apr 03 2005 - garloff@suse.de
- Update xen: Various fixes (scheduling, memset, domain crash
  handling) and enhancements (bg page scrubbing).
* Thu Mar 24 2005 - garloff@suse.de
- xen-bridge-net.diff: Make sure bridge netdev is up after adding
  addresses to it.
* Wed Mar 23 2005 - garloff@suse.de
- xen-secure.diff: Check for privileged port before allowing
  certain control operations.
- README.SUSE: Document this change.
* Wed Mar 23 2005 - garloff@suse.de
- Require ports < 1024 to allow controlling VMs.
* Mon Mar 21 2005 - garloff@suse.de
- Update xen.
* Wed Mar 16 2005 - garloff@suse.de
- Update xen.
- Add /var/lib/xen/xen-db/ subdirs.
* Sun Mar 13 2005 - garloff@suse.de
- Update to post-2.0.5
- Make /usr/sbin/xm root:trusted 0750
- Drop some patches (merged upstream)
* Tue Mar 08 2005 - garloff@suse.de
- Update README with security notes.
- Update mk-xen-rescue-image.sh script allowing to specify the
  kernel version to be used.
- Rather than busy-looping, exit console on a domain that has
  shutdown.
* Mon Mar 07 2005 - garloff@suse.de
- Update xen to latest snapshot.
- tgif not needed any more.
* Tue Mar 01 2005 - garloff@suse.de
- Include serial-split from Charles Coffing.
* Tue Mar 01 2005 - garloff@suse.de
- Update xen to latest snapshot.
* Mon Feb 21 2005 - garloff@suse.de
- Update README.SuSE.
- Update xen to latest snapshot.
* Sun Feb 13 2005 - garloff@suse.de
- Add init header to xendomains init script.
- Add bridge-utils dependency.
- Update config file and README.
- Activate xend init script on installation.
* Thu Feb 10 2005 - ro@suse.de
- remove te_etex and te_pdf from neededforbuild.
* Thu Feb 10 2005 - garloff@suse.de
- Update README about IDE dma.
- Default to dhcp.
* Wed Feb 09 2005 - garloff@suse.de
- Update to xen post-2.0.4.
- Little bugfix for xen rescue install script.
- Update README.SUSE: Better explanation of root FS creation.
* Mon Jan 24 2005 - garloff@suse.de
- Change some defaults to be more secure (xend only binds to
  localhost, ip spoof protection on).
- Avoid ipv6 issue with xend network script.
- Extensive docu in README.SUSE now.
- mk-xen-rescue-img.sh creates a xen root fs image from the std
  SUSE rescue image.
- Put boot.local script in root img to parse ip boot par.
* Thu Jan 20 2005 - garloff@suse.de
- Update to newer snapshot.
* Thu Jan 20 2005 - garloff@suse.de
- Update to xen-2.0-unstable (post 2.0.3).
* Thu Dec 09 2004 - garloff@suse.de
- Initial creation of package xen, xen-doc-*.
- i686 only for now.
